CREATE TABLE ben_batch_header (
    BATCH_HEADER_ID            NUMBER(18, 0) ,
    NAME                       VARCHAR2(1000)    NOT NULL,
    BUSINESS_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    PROCESS_CODE               VARCHAR2(1000)    NOT NULL,
    STATUS                     VARCHAR2(1000),
    ERROR_MESSAGE              VARCHAR2(4000),
    BBH_TXT_VAL_1              VARCHAR2(1000),
    BBH_TXT_VAL_2              VARCHAR2(1000),
    BBH_TXT_VAL_3              VARCHAR2(1000),
    BBH_TXT_VAL_4              VARCHAR2(1000),
    BBH_TXT_VAL_5              VARCHAR2(1000),
    BBH_NUM_VAL_1              NUMBER(18, 0) ,
    BBH_NUM_VAL_2              NUMBER(18, 0) ,
    BBH_NUM_VAL_3              NUMBER(18, 0) ,
    BBH_NUM_VAL_4              NUMBER(18, 0) ,
    BBH_NUM_VAL_5              NUMBER(18, 0) ,
    BBH_DT_VAL_1               DATE          ,
    BBH_DT_VAL_2               DATE          ,
    BBH_DT_VAL_3               DATE          ,
    BBH_DT_VAL_4               DATE          ,
    BBH_DT_VAL_5               DATE          ,
    REQUEST_ID                 NUMBER(18, 0) ,
    UPDATED_REQUEST_ID         NUMBER(18, 0) ,
    NUM_OF_THREADS             NUMBER(18, 0) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_SUBMISSION_DATE    TIMESTAMP(6)  ,
    REQUEST_COMPLETION_DATE    TIMESTAMP(6)  ,
    BATCH_HEADER_ID            NUMBER(18, 0) ,
    NAME                       VARCHAR2(1000)    NOT NULL,
    BUSINESS_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    PROCESS_CODE               VARCHAR2(1000)    NOT NULL,
    STATUS                     VARCHAR2(1000),
    ERROR_MESSAGE              VARCHAR2(4000),
    BBH_TXT_VAL_1              VARCHAR2(1000),
    BBH_TXT_VAL_2              VARCHAR2(1000),
    BBH_TXT_VAL_3              VARCHAR2(1000),
    BBH_TXT_VAL_4              VARCHAR2(1000),
    BBH_TXT_VAL_5              VARCHAR2(1000),
    BBH_NUM_VAL_1              NUMBER(18, 0) ,
    BBH_NUM_VAL_2              NUMBER(18, 0) ,
    BBH_NUM_VAL_3              NUMBER(18, 0) ,
    BBH_NUM_VAL_4              NUMBER(18, 0) ,
    BBH_NUM_VAL_5              NUMBER(18, 0) ,
    BBH_DT_VAL_1               DATE          ,
    BBH_DT_VAL_2               DATE          ,
    BBH_DT_VAL_3               DATE          ,
    BBH_DT_VAL_4               DATE          ,
    BBH_DT_VAL_5               DATE          ,
    REQUEST_ID                 NUMBER(18, 0) ,
    UPDATED_REQUEST_ID         NUMBER(18, 0) ,
    NUM_OF_THREADS             NUMBER(18, 0) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_SUBMISSION_DATE    TIMESTAMP(6)  ,
    REQUEST_COMPLETION_DATE    TIMESTAMP(6)  ,
    CONSTRAINT pk_ben_batch_header PRIMARY KEY (BATCH_HEADER_ID, BATCH_HEADER_ID)
);
